Subject: bug#22908: guix download choices (unfonts -> upstream, archive.org bugged) and my alternatives.

From: Nils Gillmann <[email-masked]>
Date: Sun, 06 Mar 2016 16:12:08 +0100

[email-masked] (Ludovic Courtès) writes:

> retitle 22908 HTTP client rejects invalid 'Content-Type' headers
> thanks

I can retitle open bugs? If so, how? Or is there a "help"
function of the debuggs?

> (Please make sure the title of your messages to bug-guix clearly
> describes the problem with phrases like “Guix fails to …”, “Failure to
> download from …”, etc.)
>
> Nils Gillmann <[email-masked]> skribis:
>
>> Long story short, I try to package un-fonts, which sits on a
>> server which is configured in a way that it gives us a mime type
>> for the package which is invalid (.gz).
>
> As Ricardo noted in
> <https://lists.gnu.org/archive/html/guix-devel/2016-02/msg01359.html>,
> the problem is that Guile’s HTTP client is (too) strict and rejects this
> invalid ‘Content-Type’ header from kldp.net:
>
>   Content-Type: .gz

I noticed, that's why I packaged and submitted (see more recent
version of the patch, new thread) the font with a location on
sdf.org. I commented inside why and what I intend to do.

> There are two courses of actions that can be taken in parallel:
>
>   1. Get the kldp.net admins to adjust the Web server.  Did you get
>      feedback from them?

Not yet. They are behind a privacywhois, I am not sure how long
reaction will get delayed due to that factor. The bug has been
reported to them, now it's just waiting and maybe getting a
response later this year.

>   2. Make Guile’s HTTP client more permissive.

I vote against that, because it is just one package so far. Let's
say we package KDE Plasma and there are more than 1 package which
is not a font, that is a reason to make changes to the http client.

> In the meantime, we could work around the issue by using a copy hosted
> on another server, if possible, such as archive.org or sdf.org as you
> note, or fossies.org (it mirrors a number of things.)
>
> Thoughts?

Archive.org replicates every wrong and right including mime
types. -> same issue, different domain.

I did not upload the font itself to archive.org but to sdf.org ,
I should also get a reply from in-berlin.org (an ISP, fast
datacenters) if they have a public download host and would like
to host this font outside of the kldp.net domain, explaining the
reasons etc.

> Thanks,
> Ludo’.

thanks,
-- 
ng
irc://loupsycedyglgamf.onion:67/~NiAsterisk
https://psyced.org:34443/NiAsterisk/
EDN: https://wiki.c3d2.de/Echt_Dezentrales_Netz/en